## tilestache 1.51.3

=== requirements.txt ===
ModestMaps
simplejson
shapely
pillow
psycopg2
python-memcached
mapbox-vector-tile==0.5.0

## tilestache 1.10.6

=== debian/changelog ===
tilestache (1.10.6-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.2, no changes needed
  * 00-use_system_font.patch refreshed

 -- David Paleino <dapal@debian.org>  Mon, 25 Apr 2011 22:53:57 +0200

tilestache (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- David Paleino <dapal@debian.org>  Sat, 02 Apr 2011 17:04:11 +0200

tilestache (1.8.0-1) unstable; urgency=low

  * New upstream release
  * 01-fix_interpreter.patch dropped, fixed upstream

 -- David Paleino <dapal@debian.org>  Fri, 25 Mar 2011 20:52:01 +0100

tilestache (1.7.2-1) unstable; urgency=low

  * New upstream release
  * Maintainer set to Debian GIS
  * debian/patches/* refreshed

 -- David Paleino <dapal@debian.org>  Fri, 04 Feb 2011 12:46:12 +0100

tilestache (1.6.1-1) unstable; urgency=low

  * New upstream release
  * Add Depends on python-werkzeug (used by tilestache-server)
  * Manpages have been merged upstream, fix their location
  * Fix hyphen-used-as-minus-sign (01-fix_manpages.patch)
  * Add manpage for tilestache-server

 -- David Paleino <dapal@debian.org>  Mon, 24 Jan 2011 16:37:24 +0100

tilestache (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #603050)

 -- David Paleino <dapal@debian.org>  Mon, 15 Nov 2010 22:14:57 +0100

=== debian/control ===
Source: tilestache
Section: web
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , python-support
Standards-Version: 3.9.2
Homepage: http://tilestache.org
Vcs-Git: git://git.debian.org/pkg-grass/tilestache.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/tilestache.git;a=summary

Package: tilestache
Architecture: all
Depends:
 ${python:Depends}
 , ${misc:Depends}
 , python-modestmaps
 , python-werkzeug
 , ttf-dejavu-core
Recommends:
 python-mapnik
Description: map tiles caching system
 TileStache is a Python-based server application that can serve up map tiles
 based on rendered geographic data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PREFIX := $(CURDIR)/debian/tilestache/

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	rm -rf $(PREFIX)/usr/share/tilestache

	# rename the binaries
	for p in tilestache-seed.py tilestache-render.py tilestache-server.py; do \
		mv $(PREFIX)/usr/bin/$$p $(PREFIX)/usr/bin/$$(basename $$p .py); \
	done

## tilestache 1.19.0

=== debian/changelog ===
tilestache (1.19.0-1ubuntu1) precise; urgency=low

  * Change Recommends from python-mapnik to python-mapnik2 for the
    python-mapnik transition and revert my previous upload. 
    Thanks to Andreas Moog for the intimation. (Closes: #649305)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 20 Nov 2011 00:47:52 +0530

tilestache (1.19.0-1build1) precise; urgency=low

  * No change rebuild against the latest python-mapnik.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 20 Nov 2011 00:42:51 +0530

tilestache (1.19.0-1) unstable; urgency=low

  * New upstream version
  * Package switched from pysupport to dh_python2
  * Fixed copyright file
  * Fix installed manpages

 -- David Paleino <dapal@debian.org>  Tue, 13 Sep 2011 09:14:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: tilestache
 Section: web
 Priority: extra
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 8~)
- , python-support
+ , python (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Homepage: http://tilestache.org
 Vcs-Git: git://git.debian.org/pkg-grass/tilestache.git
@@ -20,7 +21,7 @@
  , python-werkzeug
  , ttf-dejavu-core
 Recommends:
- python-mapnik
+ python-mapnik2
 Description: map tiles caching system
  TileStache is a Python-based server application that can serve up map tiles
  based on rendered geographic data.

## tilestache 1.21.3

=== debian/changelog ===
tilestache (1.21.3-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Change Recommends from python-mapnik to python-mapnik2 for the
      python-mapnik transition.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Tue, 17 Jan 2012 10:42:20 +0700

tilestache (1.21.3-1) unstable; urgency=low

  * New upstream version
  * Make lintian happier about the copyright
  * Fix hyphen-used-as-minus-sign in tilestache-seed.1
  * Bump dependency on modestmaps >= 1.3.0

 -- David Paleino <dapal@debian.org>  Thu, 29 Dec 2011 19:07:10 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
  ${python:Depends}
  , ${misc:Depends}
- , python-modestmaps
+ , python-modestmaps (>= 1.3.0)
  , python-werkzeug
  , ttf-dejavu-core
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 PREFIX := $(CURDIR)/debian/tilestache/
 
 %:
-	dh $@
+	dh $@ \
+		--with python2
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
http://tilestache.org/download/TileStache-(\d+.*)\.tar\.gz

## tilestache 1.27.1

=== debian/changelog ===
tilestache (1.27.1-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change Recommends from python-mapnik to python-mapnik2 for the
      python-mapnik transition.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Sun, 06 May 2012 14:26:24 +0700

tilestache (1.27.1-1) unstable; urgency=low

  * New upstream version
  * Patches refreshed

 -- David Paleino <dapal@debian.org>  Wed, 22 Feb 2012 18:37:50 +0100

tilestache (1.25.0-1) unstable; urgency=low

  * New upstream version
  * Updated copyright years

 -- David Paleino <dapal@debian.org>  Sun, 05 Feb 2012 12:26:21 +0100

## tilestache 1.31.0

=== debian/changelog ===
tilestache (1.31.0-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining change:
    - Change Recommends from python-mapnik to python-mapnik2 for the
      python-mapnik transition.

 -- Logan Rosen <logatronico@gmail.com>  Wed, 08 Aug 2012 20:30:20 -0400

tilestache (1.31.0-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright
  * Standards-Version bumped to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 09:32:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper (>= 8~)
  , python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://tilestache.org
 Vcs-Git: git://git.debian.org/pkg-grass/tilestache.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/tilestache.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,6 @@
 	rm -rf $(PREFIX)/usr/share/tilestache
 
 	# rename the binaries
-	for p in tilestache-seed.py tilestache-render.py tilestache-server.py; do \
+	for p in tilestache-seed.py tilestache-render.py tilestache-server.py tilestache-compose.py tilestache-clean.py; do \
 		mv $(PREFIX)/usr/bin/$$p $(PREFIX)/usr/bin/$$(basename $$p .py); \
 	done

## tilestache 1.49.8

=== debian/changelog ===
tilestache (1.49.8-3) unstable; urgency=medium

  * Fix syntax error in pillow-3.0.0.patch.
    (closes: #808335)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Dec 2015 19:40:20 +0100

tilestache (1.49.8-2) unstable; urgency=medium

  * Add patch by Eric Soroos for Pillow 3.0.0 support.
    (closes: #808279)
  * Add upstream metadata.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Dec 2015 13:44:43 +0100

tilestache (1.49.8-1) unstable; urgency=medium

  [ Andrew Harvey ]
  * New upstream version
  * Patches refreshed
  * Update docs with new README file name
  * Add new patch to use system modestmaps javascript library
    (Closes: #650057)
  * Add new patch for compatibility with modestmaps >= 2.0.0
  * Add missing tilestache-clean manpage
  * Drop 02-fix_shebang.patch since it is included upstream now
  * Add a few optional dependencies as Recommends

  [ Bas Couwenberg ]
  * Add myself to Uploaders.
  * Restructure control file with cme.
  * Add gbp.conf to use pristine-tar by default.
  * Use canonical Vcs-* URLs
  * Add build dependency on python-setuptools, python-pkg-resources &
    dh-python.
  * Change build dependency from python to python-all.
  * Update copyright file, changes:
    - Use BSD-3-Clause license shortname instead of BSD
    - Reorder files clauses placing debian directory at the end
    - Add Upstream-Contact header
    - Fix Source and Comment field names
  * Expand extended description to include TileStache features.
  * Bump Standards-Version to 3.9.6, changes: Vcs-* URLs.
  * Use pybuild build system.
  * Remove duplicate tilestache-server.py from list of binaries to rename.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Jul 2015 01:57:04 +0200

=== debian/control ===
Source: tilestache
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: web
Priority: extra
Build-Depends: debhelper (>= 9~),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-pkg-resources
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/tilestache.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/tilestache.git
Homepage: http://tilestache.org

Package: tilestache
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-modestmaps (>= 1.3.0),
         python-werkzeug,
         ttf-dejavu-core
Recommends: python-mapnik,
            python-shapely,
            python-psycopg2,
            python-gdal,
            python-pysolr,
            python-imaging,
            python-pyproj,
            python-blit,
            libjs-modestmaps (>= 2.0.0)
Suggests: python-redis,
          python-memcache,
          python-boto
Description: map tiles caching system
 TileStache is a Python-based server application that can serve up map tiles
 based on rendered geographic data.
 .
 TileStache features:
 .
  - Renders Mapnik maps.
  - Serves pre-rendered tiles out of MBTiles tilesets.
  - Generates vector tiles from OGR datasources in GeoJSON usable in Polymaps.
  - Caches to disk, Memcache, Amazon S3, MBTiles, and elsewhere.
  - Serves tiles in Google-style spherical mercator projection and WGS84
    lat/lon projection.
  - Runs from CGI, mod_python, or Gunicorn WSGI.
  - Uses metatiles.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=TileStache

PREFIX := $(CURDIR)/debian/tilestache/

%:
	dh $@ \
		--with python2 \
		--buildsystem pybuild

override_dh_auto_install:
	dh_auto_install

	rm -rf $(PREFIX)/usr/share/tilestache

	# rename the binaries
	for p in tilestache-server.py tilestache-seed.py tilestache-render.py tilestache-list.py tilestache-compose.py tilestache-clean.py; do \
		mv $(PREFIX)/usr/bin/$$p $(PREFIX)/usr/bin/$$(basename $$p .py); \
	done

## tilestache 1.51.3

=== debian/changelog ===
tilestache (1.51.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to use GitHub instead of outdated tilestache.org.
  * Strip © symbol from copyright statements in copyright file.
  * Update dependencies for new upstream release.
  * Drop patches applied upstream. Refresh remaining patches.
  * Include API.html in docs, other docs removed upstream.
  * Enable tests with nose.
  * Drop tilestache-clean manpage, included upstream.
  * Bump Standards-Version to 3.9.8, no changes.
  * Add manpage for tilestache-compose & tilestache-list.
  * Change ttf-dejavu-core dependency to fonts-dejavu-core.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Nov 2016 22:38:17 +0100

## tilestache 1.51.4

=== debian/changelog ===
tilestache (1.51.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Dec 2016 21:48:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,32 +7,36 @@
 Build-Depends: debhelper (>= 9~),
                dh-python,
                python-all (>= 2.6.6-3~),
+               python-gdal,
+               python-modestmaps (>= 1.3.0),
+               python-pkg-resources,
+               python-mapbox-vector-tile,
+               python-memcache,
+               python-nose,
                python-setuptools,
-               python-pkg-resources
-Standards-Version: 3.9.6
+               python-shapely,
+               python-werkzeug
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/tilestache.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/tilestache.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/tilestache.git
 Homepage: http://tilestache.org
 
 Package: tilestache
 Architecture: all
-Depends: ${python:Depends},
-         ${misc:Depends},
-         python-modestmaps (>= 1.3.0),
-         python-werkzeug,
-         ttf-dejavu-core
-Recommends: python-mapnik,
-            python-shapely,
+Depends: fonts-dejavu-core,
+         ${python:Depends},
+         ${misc:Depends}
+Recommends: libjs-modestmaps (>= 2.0.0),
+            python-blit,
+            python-gdal,
+            python-mapnik,
             python-psycopg2,
-            python-gdal,
+            python-pyproj,
             python-pysolr,
-            python-imaging,
-            python-pyproj,
-            python-blit,
-            libjs-modestmaps (>= 2.0.0)
-Suggests: python-redis,
+            python-shapely
+Suggests: python-boto,
           python-memcache,
-          python-boto
+          python-redis
 Description: map tiles caching system
  TileStache is a Python-based server application that can serve up map tiles
  based on rendered geographic data.

## tilestache 1.51.5

=== Makefile ===
VERSION:=$(shell cat TileStache/VERSION)
DOCROOT=tilestache.org:public_html/tilestache/www

live: doc
	rsync -Cr doc/ $(DOCROOT)/doc/
	python setup.py sdist upload

doc:
	mkdir doc

	python -m pydoc -w TileStache
	python -m pydoc -w TileStache.Core
	python -m pydoc -w TileStache.Caches
	python -m pydoc -w TileStache.Memcache
	python -m pydoc -w TileStache.Redis
	python -m pydoc -w TileStache.S3
	python -m pydoc -w TileStache.Config
	python -m pydoc -w TileStache.Vector
	python -m pydoc -w TileStache.Vector.Arc
	python -m pydoc -w TileStache.Geography
	python -m pydoc -w TileStache.Providers
	python -m pydoc -w TileStache.Mapnik
	python -m pydoc -w TileStache.MBTiles
	python -m pydoc -w TileStache.Sandwich
	python -m pydoc -w TileStache.Pixels
	python -m pydoc -w TileStache.Goodies
	python -m pydoc -w TileStache.Goodies.Caches
	python -m pydoc -w TileStache.Goodies.Caches.LimitedDisk
	python -m pydoc -w TileStache.Goodies.Caches.GoogleCloud
	python -m pydoc -w TileStache.Goodies.Providers
	python -m pydoc -w TileStache.Goodies.Providers.Composite
	python -m pydoc -w TileStache.Goodies.Providers.Cascadenik
	python -m pydoc -w TileStache.Goodies.Providers.PostGeoJSON
	python -m pydoc -w TileStache.Goodies.Providers.SolrGeoJSON
	python -m pydoc -w TileStache.Goodies.Providers.MapnikGrid
	python -m pydoc -w TileStache.Goodies.Providers.MirrorOSM
	python -m pydoc -w TileStache.Goodies.Providers.Monkeycache
	python -m pydoc -w TileStache.Goodies.Providers.UtfGridComposite
	python -m pydoc -w TileStache.Goodies.Providers.UtfGridCompositeOverlap
	python -m pydoc -w TileStache.Goodies.Providers.TileDataOSM
	python -m pydoc -w TileStache.Goodies.Providers.Grid
	python -m pydoc -w TileStache.Goodies.Providers.GDAL
	python -m pydoc -w TileStache.Goodies.AreaServer
	python -m pydoc -w TileStache.Goodies.StatusServer
	python -m pydoc -w TileStache.Goodies.Proj4Projection
	python -m pydoc -w TileStache.Goodies.ExternalConfigServer
	python -m pydoc -w TileStache.Goodies.VecTiles
	python -m pydoc -w TileStache.Goodies.VecTiles.server
	python -m pydoc -w TileStache.Goodies.VecTiles.client
	python -m pydoc -w TileStache.Goodies.VecTiles.geojson
	python -m pydoc -w TileStache.Goodies.VecTiles.topojson
	python -m pydoc -w TileStache.Goodies.VecTiles.mvt
	python -m pydoc -w TileStache.Goodies.VecTiles.wkb
	python -m pydoc -w TileStache.Goodies.VecTiles.ops

	python -m pydoc -w scripts/tilestache-*.py

	mv TileStache.html doc/
	mv TileStache.*.html doc/
	mv tilestache-*.html doc/
	
	perl -pi -e 's#<br><a href="file:/[^"]+">[^<]+</a>##' doc/*.html

	cp API.html doc/index.html
	perl -pi -e 's#http://tilestache.org/doc/##' doc/index.html
	perl -pi -e 's#\bN\.N\.N\b#$(VERSION)#' doc/index.html

clean:
	find TileStache -name '*.pyc' -delete
	rm -rf doc

=== requirements.txt ===
ModestMaps==1.4.7
simplejson
shapely
pillow
psycopg2
python-memcached
mapbox-vector-tile==0.5.0
Werkzeug==0.11.13

=== debian/changelog ===
tilestache (1.51.5-4) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Add upstream patch for Mapnik FontEngine changes.
    (closes: #908198)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Sep 2018 11:57:24 +0200

tilestache (1.51.5-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 20:45:04 +0200

tilestache (1.51.5-2) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.5, changes: priority.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from control file.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 23:58:12 +0200

tilestache (1.51.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Jan 2017 21:25:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: David Paleino <dapal@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: web
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9~),
                dh-python,
                python-all (>= 2.6.6-3~),
@@ -16,9 +16,9 @@
                python-setuptools,
                python-shapely,
                python-werkzeug
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/tilestache.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/tilestache.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/tilestache
+Vcs-Git: https://salsa.debian.org/debian-gis-team/tilestache.git
 Homepage: http://tilestache.org
 
 Package: tilestache
@@ -51,4 +51,3 @@
     lat/lon projection.
   - Runs from CGI, mod_python, or Gunicorn WSGI.
   - Uses metatiles.
-

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=TileStache
+export PYBUILD_TEST_NOSE=1
 
 PREFIX := $(CURDIR)/debian/tilestache/
 
@@ -12,6 +13,9 @@
 	dh $@ \
 		--with python2 \
 		--buildsystem pybuild
+
+override_dh_auto_test:
+	OFFLINE_TESTS=1 NO_DATABASE=1 dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|TileStache)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/TileStache-$1.$2/ \
https://github.com/TileStache/TileStache/releases \
(?:.*?/archive/)?(?:rel|v|TileStache)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
